Skip to main content
GET
/
api
/
v1
/
sessions
/
{sessionId}
/
clicks
Get session clicks
curl --request GET \
  --url https://api.getdecipher.com/api/v1/sessions/{sessionId}/clicks \
  --header 'Authorization: Bearer <token>'
{
  "object": "sessionClicks",
  "sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "data": [
    {
      "id": 123,
      "type": "<string>",
      "timestamp": 123,
      "clickText": "<string>",
      "clickTag": "<string>",
      "clickCssClass": "<string>",
      "clickCount": 123,
      "navigationTo": "<string>",
      "screenshots": {
        "before": "<string>",
        "after": "<string>"
      }
    }
  ],
  "screenshotsExpiresAt": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Use your Decipher API key as the bearer token.

Path Parameters

sessionId
string<uuid>
required

The UUID of the session

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Response

Session clicks with screenshot URLs

object
enum<string>
required
Available options:
sessionClicks
sessionId
string<uuid>
required
data
object[]
required
screenshotsExpiresAt
string | null
required

ISO timestamp when screenshot URLs expire (~3h). Null if no screenshots available.